# Do not check .so files in the pythonX_sitearch directories.
%global __provides_exclude_from ^%{python3_sitearch}/.*\\.so$

%global tarname setproctitle

Name:		python34-setproctitle
Version:	1.1.6
Release:	1%{?dist}
Summary:	Python module to customize a process title

License:	BSD
URL:		http://pypi.python.org/pypi/%{tarname}
Source0:	http://pypi.python.org/packages/source/s/%{tarname}/%{tarname}-%{version}.tar.gz

BuildRequires:	python34-devel
BuildRequires:	python34-setuptools

%description
Python module allowing a process to change its title as displayed by
system tool such as ps and top.

It's useful in multiprocess systems, allowing to identify tasks each forked
process is busy with. This technique has been used by PostgreSQL and OpenSSH.

It's based on PostgreSQL implementation which has proven to be portable.


%prep
%autosetup -n %{tarname}-%{version} -p 1


%build
%py3_build


%install
%py3_install
%{_bindir}/find %{buildroot}%{python3_sitearch} -name '*.so' |	\
	%{_bindir}/xargs %{__chmod} -c 0755


%files
%license COPYRIGHT
%doc README.rst
%{python3_sitearch}/*


%changelog
* Thu Aug 31 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.6-1
- Initial rpm release for EPEL7 (rhbz#1487224)
